Skip to navigation

List Refunds

Returns a list of refunds ordered by refund ID in ascending order.

Requires at least one of the following scopes:

  • store_v2_transactions_read_only
  • store_v2_transactions
  • store_v2_orders_read_only
  • store_v2_orders

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Order Transactionsread and modify transactions and payment_methodsstore_v2_transactions
Order Transactionsread transactions and payment_methodsstore_v2_transactions_read_only
Ordersread and modify payment_methodsstore_v2_orders
Ordersread payment_methodsstore_v2_orders_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Query parameters

order_id:inlist of integersOptional

Pass a comma-separated list of order IDs to filter the included orders. Accepts multiple values.

id:inlist of integersOptional

Pass a comma-separated list of refund IDs to filter the included refunds. Accepts multiple values.

created:mindatetimeOptional

Filter results so they are later than or equal to provided date.

Must be in url-encoded RFC 3339 format. e.g. 2020-01-15T01:02:34-01:00 is RFC 3339 format. Url-encoded this will be 2020-01-15T01%3A02%3A34%2B01%3A00

created:maxdatetimeOptional

Filter results so they are earlier than or equal to provided date.

Must be in url-encoded RFC 3339 format. e.g. 2020-01-15T01:02:34-01:00 is RFC 3339 format. Url-encoded this will be 2020-01-15T01%3A02%3A34%2B01%3A00

transaction_idstringOptional

Filters by refund payment using the BigCommerce transaction_id.

pageintegerOptional

Specifies the page number in a limited (paginated) list of items.

limitintegerOptional

Controls the number of items per page in a limited (paginated) list of items.

Response

A list of refunds.
datalist of objectsOptional
Collection of Refunds
metaobjectOptional
Response metadata.